diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index bb285ae..1359d1d 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -89,8 +89,8 @@ The cruft I've found so far has the forms:
 The sed patterns to match and remove them (in order) are:
 <<sed pattern>>=
 	sed -e 's/{chapter.[0-9]*}//' \
-            -e 's/{chapter\*.2}//' \
-            -e 's/{chapter\*.3}//' \
+            -e 's/{chapter\*.[1-9]}//' \
+            -e 's/{chapter\*.13}//' \
             -e 's/{section.[0-9]*.[0-9]*}//' \
             -e 's/{subsection.[0-9]*.[0-9]*.[0-9]*}//' \
             -e 's/{appendix.*}//' \
diff --git a/changelog b/changelog
index ec8b45f..6651c20 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130607 tpd src/axiom-website/patches.html 20130607.04.tpd.patch
+20130607 tpd books/Makefile fix broken sed regular expression
 20130607 tpd src/axiom-website/patches.html 20130607.03.tpd.patch
 20130607 tpd src/interp/br-con.lisp move functions to bookvol5
 20130607 tpd books/bookvol5 move functions from br-con.lisp
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ae49d5f..72484e0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4197,6 +4197,8 @@ books/bookvol8.1 add crc test cases
 books/bookvol{0,1,2,4} fix typos
 <a href="patches/20130607.03.tpd.patch">20130607.03.tpd.patch</a>
 books/bookvol5 move functions from br-con.lisp
+<a href="patches/20130607.04.tpd.patch">20130607.04.tpd.patch</a>
+books/Makefile fix broken sed regular expression
  </body>
 </html>
 
